﻿using System;
using System.Drawing;
using System.Reflection;
using System.Windows.Forms;

using DevExpress.XtraEditors;
using DevExpress.XtraMap;

namespace TestProject
{
    /// <summary>
    /// 메인 폼
    /// </summary>
    public partial class MainForm : XtraForm
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Field
        ////////////////////////////////////////////////////////////////////////////////////////// Private

        #region Field

        /// <summary>
        /// 빙 맵 키
        /// </summary>
        private string bingKey = "INPUT YOUR BING KEY";

        #endregion

        //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 생성자 - MainForm()

        /// <summary>
        /// 생성자
        /// </summary>
        public MainForm()
        {
            InitializeComponent();

            this.bingMapDataProvider.BingKey = this.bingKey;

            Load += Form_Load;
        }

        #endregion

        //////////////////////////////////////////////////////////////////////////////////////////////////// Method
        ////////////////////////////////////////////////////////////////////////////////////////// Private

        #region 폼 로드시 처리하기 - Form_Load(sender, e)

        /// <summary>
        /// 폼 로드시 처리하기
        /// </summary>
        /// <param name="sender">이벤트 발생자</param>
        /// <param name="e">이벤트 인자</param>
        private void Form_Load(object sender, EventArgs e)
        {
            #region 텍스트 맵 오버레이를 설정한다.

            MapOverlay textMapOverlay = new MapOverlay();

            textMapOverlay.Alignment          = ContentAlignment.BottomRight;
            textMapOverlay.JoiningOrientation = Orientation.Vertical;
            textMapOverlay.Margin             = new Padding(0, 4, 8, 8);
            textMapOverlay.Padding            = new Padding(7);

            this.mapControl.Overlays.Add(textMapOverlay);

            #endregion
            #region 맵 오버레이 텍스트 항목을 설정한다.

            MapOverlayTextItem mapOverlayTextItem = new MapOverlayTextItem();

            mapOverlayTextItem.Text = "Copyright © 2015. Microsoft and its suppliers. All rights reserved.";

            textMapOverlay.Items.Add(mapOverlayTextItem);

            #endregion
            #region 이미지 맵 오버레이를 설정한다.

            MapOverlay imageMapOverlay = new MapOverlay();

            imageMapOverlay.Alignment          = ContentAlignment.BottomRight;
            imageMapOverlay.JoiningOrientation = Orientation.Vertical;
            imageMapOverlay.Margin             = new Padding(0, 0, 8, 4);
            imageMapOverlay.Padding            = new Padding(0);

            this.mapControl.Overlays.Add(imageMapOverlay);

            #endregion
            #region 맵 오버레이 이미지 항목을 설정한다.

            MapOverlayImageItem mapOverlayImageItem = new MapOverlayImageItem();

            Uri baseURI = new Uri(Assembly.GetEntryAssembly().Location);

            mapOverlayImageItem.ImageUri = new Uri(baseURI, "IMAGE\\BingLogo.png");

            imageMapOverlay.Items.Add(mapOverlayImageItem);

            #endregion
        }

        #endregion
    }
}